package edu.colorado.profileviewersql;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import static android.provider.BaseColumns._ID;

public class ProfileDB extends SQLiteOpenHelper {

	private static final int version = 1;

	public ProfileDB(Context context) {
		super(context, "profiles.db", null, version);
	}

	@Override
	public void onCreate(SQLiteDatabase db) {
		db.execSQL("CREATE TABLE profiles (" + _ID + " INTEGER PRIMARY KEY AUTOINCREMENT, profile TEXT NOT NULL, first TEXT NOT NULL, last TEXT NOT NULL, email TEXT NOT NULL);");
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		db.execSQL("DROP TABLE IF EXISTS profiles");
		onCreate(db);
	}

}
